# The theme may want to specify which URL a successful form should redirect to
def success_url(view):
    from django.urls import reverse

    from la_chariotte.order import views

    if type(view) == views.grouped_order.GroupedOrderOverview:
        return reverse(
            "order:grouped_order_overview", kwargs={"code": view.object.code}
        )
    elif type(view) == views.grouped_order.GroupedOrderCreateView:
        return reverse(
            "order:grouped_order_overview", kwargs={"code": view.object.code}
        )
    elif type(view) == views.grouped_order.GroupedOrderUpdateView:
        return reverse(
            "order:grouped_order_overview", kwargs={"code": view.object.code}
        )
    elif type(view) == views.item.ItemCreateView:
        return reverse(
            "order:grouped_order_overview",
            kwargs={"code": view.object.grouped_order.code},
        )
    elif type(view) == views.item.ItemDeleteView:
        return reverse(
            "order:grouped_order_overview",
            kwargs={"code": view.object.grouped_order.code},
        )

    # No more form success URLs to overwrite
    return None
